OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Attributes
HooksC Class Reference

## Public Types
enum | PhaseTypeT { Phase_GetUnifyControls_pre, Phase_GetUnifyControls_post, Phase_UnifyDefinitions_pre, Phase_UnifyDefinitions_post, Phase_UnifyMarkers_pre, Phase_UnifyMarkers_post, Phase_UnifyStatistics_pre, Phase_UnifyStatistics_post, Phase_UnifyEvents_pre, Phase_UnifyEvents_post, Phase_WriteMasterControl_pre, Phase_WriteMasterControl_post, Phase_CleanUp_pre, Phase_CleanUp_post, Phase_Num }
enum | RecordTypeT { Record_DefComment, Record_DefCreator, Record_DefTimerResolution, Record_DefTimeRange, Record_DefProcessGroup, Record_DefProcessGroupAttributes, Record_DefProcess, Record_DefSclFile, Record_DefScl, Record_DefFileGroup, Record_DefFile, Record_DefFunctionGroup, Record_DefFunction, Record_DefCollOp, Record_DefCounterGroup, Record_DefCounter, Record_DefCounterAssignments, Record_DefKeyValue, Record_FunctionSummary, Record_MessageSummary, Record_CollOpSummary, Record_FileOpSummary, Record_DefMarker, Record_MarkerSpot, Record_Enter, Record_Leave, Record_BeginFileOp, Record_EndFileOp, Record_SendMsg, Record_RecvMsg, Record_BeginCollOp, Record_EndCollOp, Record_RMAPut, Record_RMAPutRemoteEnd, Record_RMAGet, Record_RMAEnd, Record_Counter, Record_EventComment, Record_Num }
typedef void * | VaArgsT [MAX_VA_ARGS]

## Public Member Functions
void | registerHooks ()
void | triggerInitHook ()
void | triggerFinalizeHook (const bool &error)
void | triggerPhaseHook (const PhaseTypeT &phase)
void | triggerReadRecordHook (const RecordTypeT &rectype, const uint32_t &n, void *a0=0, void *a1=0, void *a2=0, void *a3=0, void *a4=0, void *a5=0, void *a6=0, void *a7=0, void *a8=0, void *a9=0, void *a10=0, void *a11=0)
void | triggerWriteRecordHook (const RecordTypeT &rectype, const uint32_t &n, void *a0=0, void *a1=0, void *a2=0, void *a3=0, void *a4=0, void *a5=0, void *a6=0, void *a7=0, void *a8=0, void *a9=0, void *a10=0, void *a11=0)
void | triggerGenericHook (const uint32_t &id, const uint32_t &n, void *a0=0, void *a1=0, void *a2=0, void *a3=0, void *a4=0, void *a5=0, void *a6=0, void *a7=0, void *a8=0, void *a9=0, void *a10=0, void *a11=0)

## Static Public Attributes
static const uint32_t | MAX_VA_ARGS = 12

The documentation for this class was generated from the following files:

- ompi/contrib/vt/vt/tools/vtunify/vt_unify_hooks.h
- ompi/contrib/vt/vt/tools/vtunify/vt_unify_hooks.cc